/*!
  \file
  \brief モータ制御

  \author Satofumi KAMIMURA

  $Id: motor_control.c 1674 2010-02-06 03:50:05Z satofumi $
*/

#include "motor_control.h"
#include "encoder_control.h"


void motor_initialize(int id, motor_t *motor)
{
  motor->reset = 0;
  motor->id = id;

  // !!!
}


void motor_reset(motor_t *motor)
{
  (void)motor;

  // !!!
}


void motor_setMode(const motor_t *motor, MotorMode mode)
{
  (void)motor;
  (void)mode;

  // !!!
}


void motor_setVelocity(motor_t *motor,
                       int count_per_msec, int encoder_count)
{
  (void)motor;
  (void)count_per_msec;
  (void)encoder_count;

  // 現在のエンコーダ値と指定速度とで PI 制御を行う
  // !!!

  // !!! pwm_setIo()
  // !!! pwm_setDuty()

  // !!!
}
